      IMPLICIT NONE

      CHARACTER*(256)      MKFILE
      CHARACTER*(32)       UTC
      CHARACTER*(32)       SCLK
      CHARACTER*(32)       TARGET
      CHARACTER*(32)       FRAME
      CHARACTER*(32)       CORRTN
      CHARACTER*(32)       OBSERV
      DOUBLE PRECISION     ET
      DOUBLE PRECISION     STATE  ( 6 )
      DOUBLE PRECISION     LT
      INTEGER              SCID

      MKFILE = 'spice_example.mk'
      CALL FURNSH( MKFILE )

      UTC = '2004-01-11T22:05:24'
      CALL STR2ET( UTC, ET )

      WRITE(*,*) 'UTC  = ', UTC
      WRITE(*,*) 'ET   = ', ET

      SCID = -41
      SCLK = '21938715:00525'
      CALL SCS2E( SCID, SCLK, ET )

      WRITE(*,*) 'SCLK = ', SCLK
      WRITE(*,*) 'ET   = ', ET

      TARGET = 'MEX'
      FRAME  = 'ECLIPJ2000'
      CORRTN = 'NONE'
      OBSERV = 'SUN'
      CALL SPKEZR( TARGET, ET, FRAME, CORRTN, OBSERV, STATE, LT )
      WRITE(*,*) 'STATE = ', STATE

      END
