   #include <stdio.h>
   #include "SpiceUsr.h"

   int main()
{
   SpiceChar             * mkfile;
   SpiceChar             * utc;
   SpiceChar             * sclk;
   SpiceChar             * target;
   SpiceChar             * frame;
   SpiceChar             * corrtn;
   SpiceChar             * observ;

   SpiceDouble             et;
   SpiceDouble             state [6];
   SpiceDouble             lt;

   SpiceInt                scid;
   

   mkfile  =  "spice_example.mk";
   furnsh_c ( mkfile );

   utc     =  "2004-01-11T22:05:24";
   str2et_c ( utc, &et );

   printf ( "utc  = %s     \n", utc );
   printf ( "et   = %20.6f \n", et  );

   scid   = -41;
   sclk   = "21938715:00525";
   scs2e_c ( scid, sclk, &et );

   printf ( "sclk = %s     \n", sclk );
   printf ( "et   = %20.6f \n", et  );

   target = "MEX";
   frame  = "ECLIPJ2000";
   corrtn = "NONE";
   observ = "SUN";

   spkezr_c ( target, et, frame, corrtn, observ, state, &lt );

   printf ( "state = %e %e %e %e %e %e\n", 
            state[0], state[1], state[2], 
            state[3], state[4], state[5] );

   return ( 0 );
}
